Bug 672203 - Review Request: erlang-riak_err - Enhanced SASL Error Logger for Riak
Review Request: erlang-riak_err - Enhanced SASL Error Logger for Riak
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Gieseking
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 652682
  Show dependency treegraph
 
Reported: 2011-01-24 06:16 EST by Peter Lemenkov
Modified: 2011-02-15 16:53 EST (History)
3 users (show)

See Also:
Fixed In Version: erlang-riak_err-1.0.0-0.1.20110105git429f757.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-31 01:13:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
martin.gieseking: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2011-01-24 06:16:02 EST
Spec URL: http://peter.fedorapeople.org/erlang-riak_err.spec
SRPM URL: http://peter.fedorapeople.org/erlang-riak_err-1.0.0-1.fc12.src.rpm
Description: Enhanced SASL Error Logger for Riak

The main feature of this error logger is the ability to handle sanely really large dumps of Erlang VM. Although it was originally designed for Riak it could be used as a replacement of the default error logger in other projects as well.

Koji scratchbuild for Rawhide:
 http://koji.fedoraproject.org/koji/taskinfo?taskID=2739074
Comment 1 Martin Gieseking 2011-01-29 07:48:49 EST
Hi Peter,

as far as I see, version 1.0.0 of riak_err hasn't been officially released yet. So this is a snapshot package that should follow
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Snapshot_packages

Everything else looks fine.

$ rpmlint /var/lib/mock/fedora-14-x86_64/result/*.rpm
erlang-riak_err.src: W: invalid-url Source0: basho-riak_err-riak_err-1.0.0-0-g429f757.tar.gz
erlang-riak_err.x86_64: E: /var/lib/mock/fedora-14-x86_64/result/ erlang-stdlib
erlang-riak_err.x86_64: E: no-binary
erlang-riak_err.x86_64: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 2 errors, 2 warnings.

- explicit-lib-dependency is false positive
- no-binary is expected in pure Erlang packages
- only-non-binary-in-usr-lib is expected in pure Erlang packages

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[X] MUST: The package must meet the Packaging Guidelines.
    - version 1.0.0 hasn't been released yet, thus this is a snapshot release:
      update the Release field accordingly

[+] MUST: The package must be licensed with a Fedora approved license.
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: The file containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum basho-riak_err-riak_err-1.0.0-0-g429f757.tar.gz*
    94e7567877b306e0f0f13574ae3be8d8  basho-riak_err-riak_err-1.0.0-0-g429f757.tar.gz
    94e7567877b306e0f0f13574ae3be8d8  basho-riak_err-riak_err-1.0.0-0-g429f757.tar.gz.1

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: When compiling C, C++, and Fortran files, %{optflags} must be applied.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[.] MUST: Packages must not provide RPM dependency information when that information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information, the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: library files that end in .so (without suffix) must go in a -devel package.
[.] MUST: devel packages must require the base package using a fully versioned dependency.
[+] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

EPEL <= 5
[+] MUST: The spec file must contain a valid BuildRoot field.
[+] MUST: At the beginning of %install, each package must run rm -rf %{buildroot}.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot}.
[.] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'

[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream,...
[+] SHOULD: Timestamps of files should be preserved.
[.] SHOULD: patch files should be prefixed with %{name}-
[.] SHOULD: all patches should be commented in the spec file
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[+] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: Your package should contain man pages for binaries/scripts.
Comment 3 Martin Gieseking 2011-01-29 13:32:43 EST
I think this is your latest SRPM: :)
http://peter.fedorapeople.org/erlang-riak_err-1.0.0-0.1.20110105git429f757.fc12.src.rpm

The package looks good now, thus it's

--------
APPROVED
--------
Comment 4 Peter Lemenkov 2011-01-29 13:43:58 EST
Thanks!

New Package SCM Request
=======================
Package Name: erlang-riak_err
Short Description: Enhanced SASL Error Logger for Riak
Owners: peter
Branches: f14 el6
InitialCC:
Comment 5 Dennis Gilmore 2011-01-30 19:06:26 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2011-01-31 01:10:32 EST
erlang-riak_err-1.0.0-0.1.20110105git429f757.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/erlang-riak_err-1.0.0-0.1.20110105git429f757.fc14
Comment 7 Fedora Update System 2011-01-31 01:10:38 EST
erlang-riak_err-1.0.0-0.1.20110105git429f757.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/erlang-riak_err-1.0.0-0.1.20110105git429f757.el6
Comment 8 Fedora Update System 2011-02-08 18:00:26 EST
erlang-riak_err-1.0.0-0.1.20110105git429f757.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2011-02-15 16:53:44 EST
erlang-riak_err-1.0.0-0.1.20110105git429f757.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.